Subject: 23.0.60; cursor-type

From: "Gilbert Harman" <[email-masked]>
Date: Thu, 14 Aug 2008 14:07:18 -0400

(setq default-cursor-type 'hbar)

does not yield the desired cursor-type, at least in Emacs.app.  The cursor
continues to be a block cursor.

In the current Carbon Emacs this works (GNU Emacs
22.2.50.1(i386-apple-darwin9.4.0, Carbon Version 1.6.0) of 2008-07-16
on
seijiz.local).

(What I would really like is a horizontal line cursor (not a bar or box),
but I don't see how to get that either in the current Emacs.app or Carbon
Emacs.)

  Gil

No crash.

In GNU Emacs 23.0.60.1 (i386-apple-darwin9.4.0, *Step 9.0)
 of 2008-08-12 on GH-iMAC.local
Windowing system distributor `Apple', version 49.46.48
configured using `configure  '--with-ns''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Org

Minor modes in effect:
  TeX-PDF-mode: 1
  recentf-mode: t
  display-time-mode: t
  desktop-save-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
C-a C-n C-p <tab> <tab> C-n C-n C-n C-n C-n C-n C-n
C-n C-n C-n C-n C-n C-n C-n C-n C-p C-e C-n C-n C-e
SPC SPC B u t SPC t <backspace> <backspace> <backspace>
<backspace> <backspace> T h a t SPC w o r k s SPC i
n SPC C a r b o n SPC b u t SPC n o t SPC E m a c s
. a p p . C-x C-s C-p C-a C-f C-f C-f C-f C-f C-f C-f
C-f C-f C-d C-f C-d C-d C-d C-d C-d C-d i f SPC I C-e
C-b C-b C-b C-b C-b C-b C-b C-d , C-d M-l C-x C-s C-n
C-n C-n C-n C-n C-n M-x C-g C-h v d e f a u l t <tab>
c u r <tab> t y p e <tab> <return> C-g M-: ( d e f
a u l t - v a l u e SPC ' c u r s o r - t y p e ) <return>
C-x 1 <down-mouse-1> <mouse-1> <down-mouse-1> <mouse-movement>
<mouse-movement> <drag-mouse-1> M-c C-x C-s C-v C-b
C-b C-b C-b C-b C-b C-b C-b C-b C-b C-b C-b C-b C-b
C-b C-b C-b C-b C-b C-b C-b C-b C-b C-b C-b C-b C-b
C-b C-b C-b C-b C-b C-SPC C-b C-b C-b C-b C-b C-b C-g
C-SPC C-f C-f C-f C-f C-f C-f C-f C-f C-f C-f C-f C-f
C-f C-f C-f C-f C-f C-f C-f C-f C-f C-f C-f C-f C-f
C-f C-f C-f C-f C-f C-f C-f M-w <menu-bar> <help-menu>
<send-emacs-bug-report>

Recent messages:
Type C-x 1 to delete the help window.
Quit
hbar
Auto-saving...done
Saving file /Users/gilbertharman/Current/diary...
Wrote /Users/gilbertharman/Current/diary
call-interactively: End of buffer
Mark set
Quit
Mark set